#
# spec file for package openssl-ibmca (Version 1.0.0)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libica libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl openssl-devel pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           openssl-ibmca
BuildRequires:  libica openssl-devel
Summary:        The IBMCA OpenSSL dynamic engine
Version:        1.0.0
Release:        7.4
License:        IBM Public License
Group:          Hardware/Other
Source:         openssl-ibmca-1.0.0-rc2.tar.bz2
Patch:          ibmca-configure.patch
Patch1:         openssl-ibmca-README.patch
URL:            http://sourceforge.net/projects/opencryptoki
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         %fillup_prereq %insserv_prereq
Requires:       openssl libica
%define ibmca_64bit_arch s390x ppc64
%define ibmca_32bit_arch %ix86 s390 ppc %arm
ExclusiveArch: %ibmca_32bit_arch %ibmca_64bit_arch

%description
This package contains a shared object OpenSSL dynamic engine for the
IBM eServer Cryptographic Accelerator (ICA).



Authors:
--------
    Mike Halcrow <mhalcrow@us.ibm.com>

%debug_package
%prep
%setup -n openssl-ibmca-1.0.0-rc2
%patch -p1
%patch1

%build
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS"
export CPPFLAGS="$RPM_OPT_FLAGS"
./configure --with-engines-dir=%_libdir/engines --libdir=%_libdir/engines
make

%install

%makeinstall
(cd $RPM_BUILD_ROOT; libtool --finish %_libdir/engines)
rm ${RPM_BUILD_ROOT}%{_libdir}/engines/libibmca.la

%post
%run_ldconfig

%postun

%files
%defattr(-, root, root)
%doc README
%doc openssl.cnf.sample
%{_libdir}/engines/libibmca.*

%changelog -n openssl-ibmca
* Mon Jun 19 2006 - uli@suse.de
- updated README (bug #185508)
* Tue Mar 28 2006 - hare@suse.de
- Fixed configure.in to build correctly
- Fixed spec file
- Initial version from Mike Halcrow
